#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

#define FAST ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0)
#define mp make_pair
#define xx first
#define yy second
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define all(x) (x).begin(),(x).end()
#define inv(n) power((n), mod - 2)
#define ff(i,a,b) for (int (i) = (a); (i) < (b); (i)++)
#define fff(i,a,b) for (int (i) = (a); (i) <= b; (i)++)
#define bff(i,a,b) for (int (i) = (b)-1; (i) >= (a); (i)--)
#define bfff(i,a,b) for (int (i) = (b); (i) >= (a); (i)--)
#define sum_overflow(a,b) __builtin_add_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)
#define mul_overflow(a,b) __builtin_mul_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)

using namespace std;
long double typedef ld;
unsigned int typedef ui;
long long int typedef li;
pair<int,int> typedef pii;
pair<li,li> typedef pli;
pair<ld,ld> typedef pld;
vector<vector<int>> typedef graph;
unsigned long long int typedef ull;
//const int mod = 998244353;
const int mod = 1000000007;

using namespace __gnu_pbds;
template <class T> using oset = tree<T, null_type,less<T>, rb_tree_tag,tree_order_statistics_node_update>;
template <class T> using omset = tree<T, null_type,less_equal<T>, rb_tree_tag,tree_order_statistics_node_update>;







//Note to self: Check for overflow

int pre[200005][12];
int suf[200005][12];

int main()
{
    FAST;

    string t,s;
    cin>>t>>s;

    int n=t.size();
    int m=s.size();

    fff(i,1,n) fff(j,1,m)
    {
        pre[i][j]=max(pre[i-1][j],pre[i][j-1]);
        if (t[i-1]==s[j-1]) pre[i][j]=max(pre[i][j],pre[i-1][j-1]+1);
    }
    bfff(i,1,n) bfff(j,1,m)
    {
        suf[i][j]=max(suf[i+1][j],suf[i][j+1]);
        if (t[i-1]==s[j-1]) suf[i][j]=max(suf[i][j],suf[i+1][j+1]+1);
    }

    /*fff(i,1,n)
    {
        fff(j,1,m) cout<<pre[i][j]<<" ";
        cout<<endl;
    } cout<<endl;

    fff(i,1,n)
    {
        fff(j,1,m) cout<<suf[i][j]<<" ";
        cout<<endl;
    } cout<<endl;*/

    if (pre[n][m]<s.size()) return cout<<"0\n"<<t,0;

    char srecanchar;
    int opt=n;

    set<char> stole;
    ff(i,0,m) stole.insert(s[i]);
    for (auto c : stole)
    {
        vector<int> poz;
        fff(i,1,m) if (s[i-1]==c) poz.pb(i);

        int tmp=0;
        fff(i,1,n) if (t[i-1]==c)
        {
            bool doda=0;
            for (auto j : poz)
                if (pre[i-1][j-1]>=j-1 && suf[i+1][j+1]>=m-j)
                    doda=true;
            tmp+=doda;
        }

        if (tmp<opt) opt=tmp,srecanchar=c;
    }

    vector<int> poz;
    fff(i,1,m) if (s[i-1]==srecanchar) poz.pb(i);

    cout<<opt<<"\n";
    fff(i,1,n)
    {
        if (t[i-1]==srecanchar)
        {
            bool doda=0;
            for (auto j : poz)
                if (pre[i-1][j-1]>=j-1 && suf[i+1][j+1]>=m-j)
                    doda=true;
            if (doda) cout<<"*";
            else cout<<t[i-1];
        }
        else cout<<t[i-1];
    }
}

//Note to self: Check for overflow